a13nDocs

更新挂载

PATCH/api/v1/threads/{thread_id}/environments/{name}

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

thread_id*Thread Id
name*Name

请求头参数

If-Match?|

资源 ETag:当前视图的 "{id}:{version}",模型为 "{key}:{version}"

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

响应体

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/threads/string/environments/string" \  -H "Content-Type: application/json" \  -d '{    "permission_ceiling": {}  }'
{  "environment_id": "string",  "name": "string",  "permission_ceiling": {    "operations": [      "environment.file.copy_destination",      "environment.file.copy_source",      "environment.file.list",      "environment.file.mkdir",      "environment.file.move",      "environment.file.patch_text",      "environment.file.query",      "environment.file.read_bytes",      "environment.file.read_text",      "environment.file.remove",      "environment.file.search_text",      "environment.file.stat",      "environment.file.write_bytes",      "environment.file.write_text",      "environment.output.read",      "environment.output.release",      "environment.port.inspect",      "environment.port.wait",      "environment.process.close_stdin",      "environment.process.inspect",      "environment.process.kill",      "environment.process.list",      "environment.process.read_output",      "environment.process.release",      "environment.process.signal",      "environment.process.start",      "environment.process.wait",      "environment.process.write_stdin",      "environment.shell.exec",      "environment.state.export",      "environment.state.restore"    ]  },  "working_directory": "string"}